image: docker:stable

services:
  - docker:dind

variables:
  DOCKER_DRIVER: overlay2
  REGISTRY_IMAGE: $CI_REGISTRY_IMAGE

before_script:
  - docker login -u gitlab-ci-token -p $CI_JOB_TOKEN $CI_REGISTRY

build_master:
  stage: build
  script:
    - docker build --pull --no-cache -t $REGISTRY_IMAGE:latest .
    - docker push $REGISTRY_IMAGE:latest
  only:
    - master

build_branches:
  stage: build
  script:
    - docker build --pull --no-cache -t $REGISTRY_IMAGE:$CI_COMMIT_REF_NAME .
    - docker push $REGISTRY_IMAGE:$CI_COMMIT_REF_NAME
  except:
    - master